Deltree (Apache Ant API)
Date: 2018-09-11

Package org.apache.tools.ant.taskdefs

## Class Deltree

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Deltree

- All Implemented Interfaces:
    `java.lang.Cloneable`

      @Deprecated
      public class Deltree
      extends Task

  Deprecated.
  The deltree task is deprecated since Ant 1.2. Use delete instead.
  Since:
    Ant 1.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Deltree()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | Deprecated. Do the work.
    `void` | `setDir​(java.io.File dir)` | Deprecated. Set the directory to be deleted

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

- - ### Constructor Detail

    - #### Deltree

          public Deltree()

      Deprecated.

  - ### Method Detail

    - #### setDir

          public void setDir​(java.io.File dir)

      Deprecated.
      Set the directory to be deleted
      Parameters:
        `dir` - the root of the tree to be removed.

    - #### execute

          public void execute()
                       throws BuildException

      Deprecated.
      Do the work.
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - if the task is not configured correctly or the tree cannot be removed.